Ottieni categoria per ID
Ottieni una categoria per id.
GET
/categories/{categoryId}Autorizzazione
AutorizzazioneToken Bearer (API key) · headerobbligatorioChiave API dell'organizzazione.
Parametri path
categoryIdstringobbligatorioRisposte
200Dettagli della categoria
dataCategoryobbligatorioMostra proprietàNascondi proprietà
idstringnamestringindexintegershowOnScreenbooleanimageUrlstringmarginMinPercentnumbermarginMaxPercentnumberdeletedbooleanhideStorestring[]allowStorestring[]createdatestring<date-time>403Non autorizzato
statusCodeintegerobbligatorioCodice di stato HTTP
messagestringobbligatorioMessaggio di errore leggibile
timestampstring<date-time>obbligatoriopathstringobbligatorioPercorso della richiesta
404Not found
statusCodeintegerobbligatorioCodice di stato HTTP
messagestringobbligatorioMessaggio di errore leggibile
timestampstring<date-time>obbligatoriopathstringobbligatorioPercorso della richiesta
Richiesta
curl -X GET "https://dashboard.scango.ch/api/v1/categories/string" \
-H "Authorization: Bearer YOUR_TOKEN"const response = await fetch("https://dashboard.scango.ch/api/v1/categories/string", {
method: "GET",
headers: {
"Autorizzazione": "Bearer YOUR_TOKEN"
}
});Risposta
{
"data": {
"id": "string",
"name": "string",
"index": 0,
"showOnScreen": true,
"imageUrl": "string",
"marginMinPercent": 0,
"marginMaxPercent": 0,
"deleted": true,
"hideStore": [
"string"
],
"allowStore": [
"string"
],
"createdate": "2024-01-01T00:00:00Z"
}
}{
"statusCode": 0,
"message": "string",
"timestamp": "2024-01-01T00:00:00Z",
"path": "string"
}{
"statusCode": 0,
"message": "string",
"timestamp": "2024-01-01T00:00:00Z",
"path": "string"
}